# Mars Time Converter

The Mars Time Converter is a Python library and command-line tool for converting Earth UTC time to Martian Local Mean Solar Time (LMST) and other Mars-specific time parameters. It supports multiple Mars missions by reading mission-specific parameters from an XML configuration file.

For detailed documentation on installation, configuration, usage, and development guidelines, please refer to our wiki pages linked below.

<img src="./IMAGES/Capture_Ecran_Test_Mars_Converter.png" width="80%"/>

---

## 📚 Documentation

- [Installation and Setup](https://gitlab.obspm.fr/gsainton/marstimeconverter/-/wikis/Installation-and-Setup)
- [Configuration and Adding New Missions](https://gitlab.obspm.fr/gsainton/marstimeconverter/-/wikis/Configuration)
- [Usage and Examples](https://gitlab.obspm.fr/gsainton/marstimeconverter/-/wikis/Usage)
- [Logging and Debugging](https://gitlab.obspm.fr/gsainton/marstimeconverter/-/wikis/Logging-and-Debugging)
- [Deprecated Methods](https://gitlab.obspm.fr/gsainton/marstimeconverter/-/wikis/Deprecated-Methods)
- [Contributing](https://gitlab.obspm.fr/gsainton/marstimeconverter/-/wikis/Contributing)
- [Licence](https://gitlab.obspm.fr/gsainton/marstimeconverter/-/wikis/Licence)
- [Contact](https://gitlab.obspm.fr/gsainton/marstimeconverter/-/wikis/Contact)

---

## 🚀 Features

- Convert UTC to LMST (Local Mean Solar Time)
- Convert LMST to UTC
- Compute Mars Sol Date (MSD), Coordinated Mars Time (MTC), Equation of Time (EOT), and more
- Support for mission-specific configurations via XML
- CLI interface for quick conversion from the terminal


---

## Overview

The library provides functions to convert UTC to LMST, convert LMST back to UTC, and compute several Mars-specific time parameters (e.g., Mars Sol Date, Coordinated Mars Time, Equation of Time, and more). Its flexible design supports adding new missions via an XML configuration file.

For full usage examples, development details, and API references, check out the [wiki](https://gitlab.obspm.fr/gsainton/marstimeconverter/-/wikis).
